cURL
curl -X GET "https://dash.joinmarkt.com/api/merchant/v1/stores/STORE_ID/products/{productId}/stock" \
-H "Authorization: Bearer $JOIN_MARKT_API_KEY"const res = await fetch("https://dash.joinmarkt.com/api/merchant/v1/stores/STORE_ID/products/{productId}/stock", {
method: "GET",
headers: {
Authorization: `Bearer ${process.env.JOIN_MARKT_API_KEY}`,
},
})
const data = await res.json()import os, requests
res = requests.get(
"https://dash.joinmarkt.com/api/merchant/v1/stores/STORE_ID/products/{productId}/stock",
headers={"Authorization": f"Bearer {os.environ['JOIN_MARKT_API_KEY']}"},
)
data = res.json(){
"productId": "cmvuo0akz000avdese3w5d1ik",
"variantName": null,
"count": 120,
"keys": [
{
"id": "cmvuos6yd0091vdnkekw1axsr",
"key": "XXXX-XXXX-XXXX-XXXX",
"variantName": null,
"isUsed": false
},
{
"id": "cmvuos6yd0092vdnknr4ddgwa",
"key": "XXXX-XXXX-XXXX-XXXX",
"variantName": null,
"isUsed": false
}
]
}{
"error": "Product not found",
"code": "NOT_FOUND"
}{
"error": "Product not found",
"code": "NOT_FOUND"
}{
"error": "Product not found",
"code": "NOT_FOUND"
}{
"error": "Product not found",
"code": "NOT_FOUND"
}{
"error": "Product not found",
"code": "NOT_FOUND"
}List stock keys
License keys still available for this product.
Scope: product:stock:read
GET
/
api
/
merchant
/
v1
/
stores
/
{storeId}
/
products
/
{productId}
/
stock
cURL
curl -X GET "https://dash.joinmarkt.com/api/merchant/v1/stores/STORE_ID/products/{productId}/stock" \
-H "Authorization: Bearer $JOIN_MARKT_API_KEY"const res = await fetch("https://dash.joinmarkt.com/api/merchant/v1/stores/STORE_ID/products/{productId}/stock", {
method: "GET",
headers: {
Authorization: `Bearer ${process.env.JOIN_MARKT_API_KEY}`,
},
})
const data = await res.json()import os, requests
res = requests.get(
"https://dash.joinmarkt.com/api/merchant/v1/stores/STORE_ID/products/{productId}/stock",
headers={"Authorization": f"Bearer {os.environ['JOIN_MARKT_API_KEY']}"},
)
data = res.json(){
"productId": "cmvuo0akz000avdese3w5d1ik",
"variantName": null,
"count": 120,
"keys": [
{
"id": "cmvuos6yd0091vdnkekw1axsr",
"key": "XXXX-XXXX-XXXX-XXXX",
"variantName": null,
"isUsed": false
},
{
"id": "cmvuos6yd0092vdnknr4ddgwa",
"key": "XXXX-XXXX-XXXX-XXXX",
"variantName": null,
"isUsed": false
}
]
}{
"error": "Product not found",
"code": "NOT_FOUND"
}{
"error": "Product not found",
"code": "NOT_FOUND"
}{
"error": "Product not found",
"code": "NOT_FOUND"
}{
"error": "Product not found",
"code": "NOT_FOUND"
}{
"error": "Product not found",
"code": "NOT_FOUND"
}Authorizations
Your Merchant API key. Create one in Dashboard → Developers → API keys.
Path Parameters
Your store id. Find it in Dashboard → Developers, or in GET /stores with MCP.
Product id. Accepts the internal id or the public id (for example PRD-…).
Query Parameters
Variant name. Omit for the main product.
Response
The keys and their count.
The response is of type object.

